## ard 1.0.20131207

=== Makefile ===
# -*-makefile-*-
# JLdL 07Dec13.
#
# This makefile closes the "ard" package, as an "all" arch package;
# _ the main part of its structure is meant to install everything
# _ within the debian/package subdirectory.

# Edited for Debian GNU/Linux.
DESTDIR = 

# The name of the package this makefile is meant for.
NAME = ard

# Where the configuration files go.
ETC = $(DESTDIR)/etc/$(NAME)

# Where the cron-job file goes.
CRON = $(DESTDIR)/etc/cron.d

# Where the root executables go.
SBIN = $(DESTDIR)/usr/sbin

# Where the man pages go.
MANS = $(DESTDIR)/usr/share/man

# Where the additional documentation goes.
DOCS = $(DESTDIR)/usr/share/doc/$(NAME)

# The configuration files.
CONFFILES = \
$(NAME).conf \
excluded.users \
excluded.progs

# The cron-job files.
CRONFILES = \
cron/$(NAME)

# The root executables.
SBINFILES = \
$(NAME)

# The file man pages.
MAN5FILES = \
$(NAME).conf.5.gz

# The root man pages.
MAN8FILES = \
$(NAME).8.gz

# Extra documentation files and directories.
DOCSFILES = \
debian/README.Debian \
and.excerpts

# The date is used as a version number.
#THEDATE = $(shell date +%y%m%d)
THEDATE = $(shell date +%Y%m%d)

# Define the host from which the package is to be distributed.
DHOST = fmasft

# Define the distribution site within the host.
DSITE = /sft/debian-cluster

# Define the distribution directory within the site.
DIR = $(DSITE)/dists/stable/main

# Define the location of the package just compiled.
LOC = /local/src

# Do not do anything by default, just print a help message.
default:
	@echo "Nothing to do: no actual compilation is needed."
	@echo "The most useful targets are:"
	@echo "  'package' to make the package;"
	@echo "  'distribute' to install on the distribution site;"
	@echo "  'veryclean' to really clean it all up."
	@echo "Other internal targets are:"
	@echo "  'clean' to clean this directory;"
	@echo "  'cleandebfiles' to remove the Debian files;"
	@echo "  'cleandebpacks' to remove the Debian package(s)."

# Install files on the package tree.
install: $(MAN5FILES) $(MAN8FILES) $(NAME)
	@echo Installing the configuration files in $(ETC)/
	@mkdir -p $(ETC)/
	@cp -pf $(CONFFILES) $(ETC)/
	@echo Installing the cron-job files in $(CRON)/
	@mkdir -p $(CRON)/
	@cp -pf $(CRONFILES) $(CRON)/
	@echo Installing root executables in $(SBIN)/
	@mkdir -p $(SBIN)/
	@cp -pf $(SBINFILES) $(SBIN)/
	@echo Installing man pages in $(MANS)/man5/
	@mkdir -p $(MANS)/man5/
	@cp -pf $(MAN5FILES) $(MANS)/man5/
	@echo Installing man pages in $(MANS)/man8/
	@mkdir -p $(MANS)/man8/
	@cp -pf $(MAN8FILES) $(MANS)/man8/
	@echo Installing additional documentation in $(DOCS)/
	@mkdir -p $(DOCS)/
	@cp -af $(DOCSFILES) $(DOCS)/

# A rule to make the executable script.
$(NAME): $(NAME).local
	cat $< | sed -f sed.comm > $@
	chmod +x $@

# Make the package.
package:
	dpkg-buildpackage -kE92A1F5C

# Install the package in the distribution site.
distribute:
# Fix the ownership of the files.
	chown root:root $(LOC)/$(NAME)_*.dsc
	chown root:root $(LOC)/$(NAME)_*.tar.gz
	chown root:root $(LOC)/$(NAME)_*.deb
# Copy remotely and backwards because of authorization issues.
	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*.dsc $(DIR)/source/"
	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*.tar.gz $(DIR)/source/"
	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*_all.deb $(DIR)/binary-all/"
# Refresh the site remotely because of authorization issues.
	ssh $(DHOST) "cd $(DSITE) ; ./MakePackagesFiles"

# Clean up this directory.
clean:
	rm -f *~ *.gz $(NAME)

# Clean up the Debian package files.
cleandebfiles:
	rm -f build-stamp configure-stamp
	rm -rf debian/$(NAME)/

# Clean the package(s) and related files.
cleandebpacks:
	rm -f ../$(NAME)_*.dsc
	rm -f ../$(NAME)_*.tar.gz
	rm -f ../$(NAME)_*.changes
	rm -f ../$(NAME)_*_all.deb

# Really clean it all up.
veryclean: clean cleandebfiles cleandebpacks

# A pattern rule to make compressed versions of files.
%.gz: %
	@echo Compressing file $<
	@cat $< | sed -e 's|YYYYMMDD|$(THEDATE)|g' | gzip -c9 - > $@

=== debian/changelog ===
ard (1.0.20131207) stable; urgency=low

  * Eliminated the auxiliary cron-job script to hunt down and kill rogue
    gconfd-2 processes, since these are now well-behaved.
  
 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sat, 07 Dec 2013 19:07:00 -0200

ard (1.0.20080408) stable; urgency=low

  * Updated the package to the Etch Debian standards, and started
    distributing it as an "all" architecture package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue,  8 Apr 2008 18:22:00 -0300

ard (0.0.20061201) stable; urgency=low

  * Included an auxiliary cron-job script to hunt down and kill rogue
    gconfd-2 processes, which are left running in the system, not attached
    to a terminal.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri,  1 Dec 2006 22:40:40 -0200

ard (0.0.20061129) stable; urgency=low

  * Included a couple of new command-line arguments in the program, to
    permit the use of different auxiliary configuration files. Also
    updated and improved the documentation.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed, 29 Nov 2006 15:13:33 -0200

ard (0.0.20061128) stable; urgency=low

  * Initial Release.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue, 28 Nov 2006 14:35:39 -0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ard
Section: admin
Priority: optional
Maintainer: Jorge L. deLyra <delyra@fma.if.usp.br>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.6.2

Package: ard
Architecture: all
Depends: tcsh, and
Description: A cron-driven pseudo-daemon to control the maximum number of
 processes that are allowed to run at the same time, in each one of the
 nice levels which are reserved by the configuration of the "and" daemon
 for the control of CPU-intensive processes.
 .
 This package is meant as a complement to the "and" package. Together with
 the action of the "and" daemon, the "ard" program contained in it can be
 used to establish a batch job control structure which is similar to a
 simple batch queueing system.

=== debian/rules ===
#!/usr/bin/make -f
# JLdL 07Dec13.
#
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=5



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/ard.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ard


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
